var fs = require('fs');
var properties = require('properties');

var configSettings = null;

exports.loadConfigFile = function()
{
    console.log("Loading config file..");
    try
    {
        var fileContents = fs.readFileSync("execname.cfg", {"encoding":"utf-8"});
        console.log("Loaded " + fileContents.length + " chars");
        configSettings = properties.parse(fileContents);
        console.log(configSettings);
    }
    catch (e)
    {
        console.log("Failed to load config file -> " + e.toString());
        return false;
    }
    return true;
}

exports.saveConfigFile = function()
{
    if (!configSettings) return;
    console.log("Saving config file..");
    try
    {
        var fileContents = properties.stringify(configSettings);
        console.log(fileContents);
        fs.writeFileSync("execname.cfg", fileContents, {"encoding":"utf-8"});
    }
    catch (e)
    {
        console.log("Failed to save config file -> " + e.toString());
        return false;
    }
    return true;
}

exports.getValue = function(strValue)
{
    if (!configSettings) return null;
    return configSettings[strValue];
}

exports.setValue = function(strSetting, strValue)
{
    if (!configSettings) configSettings = {};
    configSettings[strSetting] = strValue;
}
